Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 597614 - net-wireless/uhd with sys-libs/ncurses[tinfo]: ld: CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o: undefined reference to symbol 'COLS'
Summary: net-wireless/uhd with sys-libs/ncurses[tinfo]: ld: CMakeFiles/rx_ascii_art_df...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Rick Farina (Zero_Chaos)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2016-10-20 10:45 UTC by Philippe Trottier
Modified: 2019-03-22 15:40 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch for net-wireless/uhd-3.8.5 (uhd-tinfo.patch,1.69 KB, patch)
2016-11-07 20:52 UTC, hangglider
Details | Diff
Patch for net-wireless/uhd-3.9.6 (file_597614.txt,1.78 KB, text/plain)
2017-05-11 17:52 UTC, WGH
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Trottier 2016-10-20 10:45:57 UTC
One of the example code cannot be linked.

The line that need tweaking:
/usr/bin/x86_64-pc-linux-gnu-g++   -march=core-avx2 -O2 -pipe  -fvisibility=hidden -fvisibility-inlines-hidden   -Wl,-O1 -Wl,--as-needed CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o  -o rx_ascii_art_dft -rdynamic ../lib/libuhd.so.003.008 -lcurses -lform -lboost_date_time-mt -lboost_filesystem-mt -lboost_program_options-mt -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_unit_test_framework-mt -lboost_serialization-mt -lboost_chrono-mt -lboost_atomic-mt -lrt -lorc-0.4 -lusb-1.0 -lpthread -ldl -Wl,-rpath,/var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-3.8.5_build/lib: 

The important bit: 
usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o: undefined reference to symbol 'COLS'
/lib64/libtinfo.so.5: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
examples/CMakeFiles/rx_ascii_art_dft.dir/build.make:109: recipe for target 'examples/rx_ascii_art_dft' failed
make[2]: *** [examples/rx_ascii_art_dft] Error 1


Maybe/probably related to 457530 ?
Comment 1 Philippe Trottier 2016-10-31 19:31:07 UTC
Added the tinfo to the library and it works like a charm Tested on

arm arm64 amd64
Comment 2 hangglider 2016-11-07 13:00:45 UTC
same here:

[ 68%] Built target latency_test
make -f examples/CMakeFiles/benchmark_rate.dir/build.make examples/CMakeFiles/benchmark_rate.dir/depend
make[2]: Verzeichnis „/var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-3.8.5_build“ wird betreten
cd /var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-3.8.5_build && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-release_003_008_005/h
ost /var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-release_003_008_005/host/examples /var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-3.8.5_build /var/tmp/portage/net-wireless/uhd-3.8.
5/work/uhd-3.8.5_build/examples /var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-3.8.5_build/examples/CMakeFiles/benchmark_rate.dir/DependInfo.cmake
/usr/lib/gcc/x86_64-pc-linux-gnu/5.4.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o: undefined reference to symbol 'LINES'
/lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make[2]: *** [examples/CMakeFiles/rx_ascii_art_dft.dir/build.make:108: examples/rx_ascii_art_dft] Fehler 1
Comment 3 Philippe Trottier 2016-11-07 14:55:22 UTC
If you need to get going, simply add tinfo to the library part of the CMakefile.txt. 

3.9.5 has the same problem, the 3.8.5 ebuild does work for 3.9.5 too.

I've just been too lazy to make a patch.
Comment 4 hangglider 2016-11-07 20:50:57 UTC
@Philippe: Thanks a lot - attaching patch
Comment 5 hangglider 2016-11-07 20:52:21 UTC
Created attachment 452664 [details, diff]
Patch for net-wireless/uhd-3.8.5
Comment 6 WGH 2017-04-03 22:09:22 UTC
I'm having the same problem, but with different symbol.

/usr/bin/x86_64-pc-linux-gnu-g++   -march=core-avx2 -O2 -pipe -msahf -mmovbe --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=3072 -mtune=core-avx2 -fstack-protector -fvisibility=hidden -fvisibility-inlines-hidden  -Wl,-O1 -Wl,--as-needed CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o  -o rx_ascii_art_dft -Wl,-rpath,/var/tmp/portage/net-wireless/uhd-3.8.5/work/uhd-3.8.5_build/lib: -rdynamic ../lib/libuhd.so.003.008 -lcurses -lform -lboost_date_time-mt -lboost_filesystem-mt -lboost_program_options-mt -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_unit_test_framework-mt -lboost_serialization-mt -lboost_chrono-mt -lboost_atomic-mt -lrt -lorc-0.4 -lusb-1.0 -lpthread -ldl 
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o: undefined reference to symbol 'stdscr'
/lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
Comment 7 Philippe Trottier 2017-04-30 07:57:35 UTC
WGH: same trouble, solved the same way.

3.9.6 works with a similar patch
Comment 8 WGH 2017-05-11 17:52:01 UTC
Created attachment 472364 [details]
Patch for net-wireless/uhd-3.9.6

Patch for 3.9.6.

Assuming you've enforced user patches through portage bashrc as described here - https://wiki.gentoo.org/wiki//etc/portage/patches - just drop the attached file to /etc/portage/patches/net-wireless/uhd-3.9.6/tinfo.patch
Comment 9 Larry the Git Cow gentoo-dev 2018-02-10 22:26:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3eae56400d9ca7cf331e6222797f09711abaf356

commit 3eae56400d9ca7cf331e6222797f09711abaf356
Author:     Chris Reffett <creffett@gentoo.org>
AuthorDate: 2018-02-10 22:25:38 +0000
Commit:     Chris Reffett <creffett@gentoo.org>
CommitDate: 2018-02-10 22:26:19 +0000

    net-wireless/uhd: Bump, fix tinfo, remove old
    
    Bug: https://bugs.gentoo.org/597098
    Bug: https://bugs.gentoo.org/597614
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-wireless/uhd/Manifest                          |  4 +--
 net-wireless/uhd/files/uhd-3.10.3.0-tinfo.patch    | 34 ++++++++++++++++++++++
 net-wireless/uhd/files/uhd-3.8.5-gcc6.patch        | 25 ----------------
 net-wireless/uhd/files/uhd-3.9.6-tinfo.patch       | 34 ++++++++++++++++++++++
 .../uhd/{uhd-3.8.5.ebuild => uhd-3.10.3.0.ebuild}  | 21 +++++++------
 net-wireless/uhd/uhd-3.9.6.ebuild                  |  6 ++--
 6 files changed, 86 insertions(+), 38 deletions(-)}
Comment 10 Philippe Trottier 2018-03-12 20:07:37 UTC
The new uhd-3.10 has the patch needed. should we simply close this ?
Comment 11 Lars Wendler (Polynomial-C) gentoo-dev 2019-03-22 15:40:11 UTC
This issue has been fixed by the following commit:

commit 3eae56400d9ca7cf331e6222797f09711abaf356
Author: Chris Reffett <creffett@gentoo.org>
Date:   Sat Feb 10 23:25:38 2018

    net-wireless/uhd: Bump, fix tinfo, remove old

    Bug: https://bugs.gentoo.org/597098
    Bug: https://bugs.gentoo.org/597614
    Package-Manager: Portage-2.3.24, Repoman-2.3.6